# Class SensorGnomonEcho

java.lang.Object
javax.media.j3d.SceneGraphObject
javax.media.j3d.Node
javax.media.j3d.Leaf
javax.media.j3d.Shape3D
com.sun.j3d.utils.behaviors.sensor.SensorGnomonEcho

public class SensorGnomonEcho extends Shape3D
A Shape3D representing a gnomon pointing along each coordinate axis. The base of the gnomon is a cube, and the coordinate axes are represented by pyramids attached to each face of the cube.

Since:
  Java 3D 1.3

## Field Summary

### Fields inherited from class Shape3D

`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

### Fields inherited from class Node

`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

## Constructor Summary

Constructors
Constructor
Description
`SensorGnomonEcho(Transform3D transform, double baseWidth, double axisLength, boolean enableLighting)`
Constructs a SensorGnomonEcho.

## Method Summary

### Methods inherited from class Shape3D

`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearance, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearance, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

### Methods inherited from class Node

`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

### Methods inherited from class SceneGraphObject

`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SensorGnomonEcho

public SensorGnomonEcho(Transform3D transform, double baseWidth, double axisLength, boolean enableLighting)
Constructs a SensorGnomonEcho. Read and write capabilities are granted for the Appearance, Material, TransparencyAttributes, and TransparencyAttributes mode and value.

Parameters:
  `transform` - translation and/or rotation to apply to the gnomon geometry; this should be the position and orientation of the sensor hotspot in the sensor's local coordinate system
  `baseWidth` - width of each edge of the base cube in meters
  `axisLength` - distance in meters from the gnomon center to the apex of the pyramid attached to each face of the base cube
  `enableLighting` - boolean indicating whether normals should be generated and lighting enabled